Subject: Re: [PATCH 3/4] drm/drm_ras: Add DRM RAS netlink error event notification

From: Rodrigo Vivi <[email-masked]>
Date: Mon, 4 May 2026 14:35:13 -0400

On Mon, May 04, 2026 at 12:58:13PM +0530, Tauro, Riana wrote:
> 
> On 4/23/2026 9:59 PM, Jakub Kicinski wrote:
> > On Thu, 23 Apr 2026 11:22:45 +0530 Tauro, Riana wrote:
> > > We had some questions regarding events in netlink
> > > 
> > > 1) According to netlink spec, "Events are considered less idiomatic for
> > > netlink and notifications should be preferred."
> > > Since we currently don't have a response that matches a get operation to
> > > use notify. Would using an event be acceptable?
> > I have only glanced at previous messages but would it not work to
> > include the counter values into the "event" as if it was it was a
> > counter get?
> 
> We wanted to keep the notification general with error name and node name.
> There is another series which will re-use this event [PATCH v7 3/3]
> drm/xe/ras: Introduce correctable error handling - Raag Jadav <https://lore.kernel.org/intel-xe/[email-masked]/>
> <https://lore.kernel.org/intel-xe/[email-masked]/>[PATCH
> v4 00/13] Introduce Xe Uncorrectable Error Handling - Riana Tauro <https://lore.kernel.org/intel-xe/[email-masked]/> .
> We do not have the complete counter value there.
> @Aravind/@Rodrigo Do you think we should add the counter value to the event?

I don't see any reason why we couldn't include the counter value in the event.
Although we know that this value is likely the threshold, I don't see any problem
with this flow. In many cases it could mean one less call from user space.

> 
> Also, there is a request to add other parameters in the review comments
> so cannot re-use get-counter response
> 
> > 
> > If it makes no sense - it's fine. We have been adding events in some
> > places, too, in networking. The thinking is basically that when the app
> > that does the user space monitoring starts it will often want to know
> > the state of the world. So we end up with "get state of the world"
> > and "notify about state of the world" which should really be the same
> > format.
> 
> Sure. Thank you
> 
> > 
> > > 2) Is there a way to check if there are subscribers to a group before
> > > creating the event message?
> > >      Currently the subscriber check happens in
> > > netlink_broadcast_filtered, but a reviewer suggested we could
> > >      optimize by skipping message creation if there are no subscribers.
> > Yes, genl_has_listeners()
> 
> Thank you
> 
> Riana
> 
>